'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _request = require('request');

var _request2 = _interopRequireDefault(_request);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function sendRequest(method, url, body) {
    return new Promise((resolve, reject) => {
        (0, _request2.default)({
            url,
            method,
            json: true,
            body
        }, (err, response, responseBody) => {
            if (err) {
                reject(err);
                return;
            }

            resolve(responseBody);
        });
    });
}

exports.default = {
    GET: (url, body) => sendRequest('GET', url, body),
    POST: (url, body) => sendRequest('POST', url, body),
    DELETE: (url, body) => sendRequest('DELETE', url, body)
};